Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Terminals

List Terminals

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/terminals

Retrieve a paginated list of terminals belonging to the authenticated merchant, ordered by newest first. Query parameters page and perPage can be used to control pagination. The pointOfSaleId and deviceId filters can be combined to narrow the results.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Default:
25
Range:
value <= 500
pointOfSaleIdstring

Only include terminals associated with the provided point of sale ID.

Format:
uuid
Example:
"0192473a-e381-705c-b61c-fc2ac9624afc"
deviceIdstring

Only include terminals associated with the provided device ID.

Example:
"LDG7M4WW44G"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/terminals"
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": []}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}